summaryrefslogtreecommitdiff
path: root/dev-haskell/happy
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
commitdda948891d3731927b821ce31f9d9a2d03ba20c5 (patch)
tree99cd40be4cbb0606260da212cd81b8ab2db9da9b /dev-haskell/happy
parenta3ceca1b4c0d9bdb550dc23f06ffbb5a8e033bc7 (diff)
downloadbaldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.gz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.xz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.zip
Adding metadata
Diffstat (limited to 'dev-haskell/happy')
-rw-r--r--dev-haskell/happy/Manifest2
-rw-r--r--dev-haskell/happy/happy-1.19.12.ebuild69
-rw-r--r--dev-haskell/happy/happy-1.20.1.1.ebuild69
-rw-r--r--dev-haskell/happy/metadata.xml9
4 files changed, 149 insertions, 0 deletions
diff --git a/dev-haskell/happy/Manifest b/dev-haskell/happy/Manifest
new file mode 100644
index 000000000000..aaa3de4cec94
--- /dev/null
+++ b/dev-haskell/happy/Manifest
@@ -0,0 +1,2 @@
+DIST happy-1.19.12.tar.gz 183254 BLAKE2B 17b0d30f4aaf194a0e36c06bd6349665c704b5ab61dce16cae47f0ca6bfef0a0e2d4bbf3456f47cebf0f71f1a0b4a59ff6b581cb4ff76a26d82573eb0e7b056a SHA512 20f36b17adf7330852fd4c05335adbf31e6f19907b4ec247c85a40ee1f8496c6dc432055026696906b149cec7f982b88c9a2eeedf14a11d34b1f6f73272e5208
+DIST happy-1.20.1.1.tar.gz 183409 BLAKE2B b9bb9da227b21e6a63a9649454745f32b6f9fb2c33132da60595ab1bbca0e6659a6941ec89ed0705f9c5052dfc1dc076888c0b309d797f699a1d398e04d5913a SHA512 a2ff6a1778884de22f4900a22b8a451ed5dc8a8e66020ce9e186a03068257748a3810c63b56f1efa0b646d99fe637f87178983f387d4c49bc33b82613877ec48
diff --git a/dev-haskell/happy/happy-1.19.12.ebuild b/dev-haskell/happy/happy-1.19.12.ebuild
new file mode 100644
index 000000000000..ea43094c1358
--- /dev/null
+++ b/dev-haskell/happy/happy-1.19.12.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# ebuild generated by hackport 0.6.9999
+#hackport: flags: +small_base
+
+CABAL_FEATURES="test-suite"
+inherit haskell-cabal autotools
+
+DESCRIPTION="Happy is a parser generator for Haskell"
+HOMEPAGE="https://www.haskell.org/happy/"
+SRC_URI="https://hackage.haskell.org/package/${P}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"
+IUSE="doc"
+
+RDEPEND=">=dev-haskell/mtl-2.2.1:=
+ >=dev-lang/ghc-7.4.1:=
+"
+DEPEND="${RDEPEND}
+ >=dev-haskell/cabal-1.8
+ doc? ( ~app-text/docbook-xml-dtd-4.2
+ app-text/docbook-xsl-stylesheets )
+"
+
+src_prepare() {
+ default
+
+ if use doc; then
+ cd doc || die
+ eautoconf
+ fi
+}
+
+src_configure() {
+ # '--with-happy=false' allows detecting circular
+ # depends even when 'happy' is installed in system
+ haskell-cabal_src_configure \
+ --with-happy=false\
+ --flag=small_base
+
+ if use doc; then
+ # does not like out-of-source builds
+ cd doc || die
+ econf
+ fi
+}
+
+src_compile() {
+ haskell-cabal_src_compile
+
+ if use doc; then
+ emake -C doc -j1
+ fi
+}
+
+src_install() {
+ haskell-cabal_src_install
+
+ if use doc; then
+ docinto html
+ dodoc -r doc/happy/.
+ doman doc/happy.1
+ fi
+}
diff --git a/dev-haskell/happy/happy-1.20.1.1.ebuild b/dev-haskell/happy/happy-1.20.1.1.ebuild
new file mode 100644
index 000000000000..de73725aa660
--- /dev/null
+++ b/dev-haskell/happy/happy-1.20.1.1.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# ebuild generated by hackport 0.6.6.9999
+#hackport: flags: +small_base
+
+CABAL_FEATURES="test-suite"
+inherit haskell-cabal autotools
+
+DESCRIPTION="Happy is a parser generator for Haskell"
+HOMEPAGE="https://www.haskell.org/happy/"
+SRC_URI="https://hackage.haskell.org/package/${P}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"
+IUSE="doc"
+
+RDEPEND=">=dev-haskell/mtl-2.2.1:=
+ >=dev-lang/ghc-7.4.1:=
+"
+DEPEND="${RDEPEND}
+ >=dev-haskell/cabal-1.10
+ doc? ( ~app-text/docbook-xml-dtd-4.2
+ app-text/docbook-xsl-stylesheets )
+"
+
+src_prepare() {
+ default
+
+ if use doc; then
+ cd doc || die
+ eautoconf
+ fi
+}
+
+src_configure() {
+ # '--with-happy=false' allows detecting circular
+ # depends even when 'happy' is installed in system
+ haskell-cabal_src_configure \
+ --with-happy=false\
+ --flag=small_base
+
+ if use doc; then
+ # does not like out-of-source builds
+ cd doc || die
+ econf
+ fi
+}
+
+src_compile() {
+ haskell-cabal_src_compile
+
+ if use doc; then
+ emake -C doc -j1
+ fi
+}
+
+src_install() {
+ haskell-cabal_src_install
+
+ if use doc; then
+ docinto html
+ dodoc -r doc/happy/.
+ doman doc/happy.1
+ fi
+}
diff --git a/dev-haskell/happy/metadata.xml b/dev-haskell/happy/metadata.xml
new file mode 100644
index 000000000000..6fb61853d497
--- /dev/null
+++ b/dev-haskell/happy/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>haskell@gentoo.org</email>
+ <name>Gentoo Haskell</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>